IntoClause (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class IntoClause

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.IntoClause

All Implemented Interfaces:
  antlr.collections.AST, Serializable, DisplayableNode, InitializeableNode

    public class IntoClause

extends HqlSqlWalkerNode
implements DisplayableNode

Represents an entity referenced in the INTO clause of an HQL INSERT statement.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`IntoClause()`

Method Summary
`String` | `getDisplayText()` Returns additional display text for the AST node.
`String` | `getEntityName()`
`Type[]` | `getInsertionTypes()`
`Queryable` | `getQueryable()`
`String` | `getTableName()`
`void` | `initialize(Queryable persister)`
`boolean` | `isDiscriminated()`
`boolean` | `isExplicitIdInsertion()`
`boolean` | `isExplicitVersionInsertion()`
`void` | `prependIdColumnSpec()`
`void` | `prependVersionColumnSpec()`
`void` | `validateTypes(SelectClause selectClause)`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntoClause

    public IntoClause()

Method Detail

### initialize

    public void initialize(Queryable persister)

### getTableName

    public String getTableName()

### getQueryable

    public Queryable getQueryable()

### getEntityName

    public String getEntityName()

### getInsertionTypes

    public Type[] getInsertionTypes()

### isDiscriminated

    public boolean isDiscriminated()

### isExplicitIdInsertion

    public boolean isExplicitIdInsertion()

### isExplicitVersionInsertion

    public boolean isExplicitVersionInsertion()

### prependIdColumnSpec

    public void prependIdColumnSpec()

### prependVersionColumnSpec

    public void prependVersionColumnSpec()

### validateTypes

    public void validateTypes(SelectClause selectClause)
                       throws QueryException

  Throws:
    `QueryException`

### getDisplayText

    public String getDisplayText()

  Returns additional display text for the AST node.

  Specified by:
    `getDisplayText` in interface `DisplayableNode`
  Returns:
    String - The additional display text.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.